package com.jkcredit.invoice.model.entity.customer;

/**
 * 企业信息
 * @author mumuxigua
 */
public class CustomerCarRec {
    private String customerName;

    private String companyName;

    private String companyNum;
    /**
     * 0 -自有车 1 -外协车 2 -无车
     */
    private String businessType;

    private String carNum;

    private String [] carNumArr;
    /**
     * 车辆颜色 蓝牌车需要 填运营类型
     **/
    private String carColor;
    /**
     * 运营类型,当为蓝牌车时为必填选项
     */
    private Integer serviceOperation;
    private String custPhone;

    private String etcNum;

    private String succTime;

    private String failTime;

    /***
     * 查询备案的起止时间使用
     */
    private String startTime;

    private String endTime;
    /**
     * 0-备案失败 1-备案成功 2-解绑
     */
    private Integer recStatus = 0;

    /**
     * 0-接口 1-平台
     */
    private Integer interType = 1;

    private String failReason;

    private String validateCode;

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName == null ? null : companyName.trim();
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getCarNum() {
        return carNum;
    }

    public void setCarNum(String carNum) {
        this.carNum = carNum == null ? null : carNum.trim();
    }

    public String getCarColor() {
        return carColor;
    }

    public void setCarColor(String carColor) {
        this.carColor = carColor == null ? null : carColor.trim();
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone == null ? null : custPhone.trim();
    }

    public String getEtcNum() {
        return etcNum;
    }

    public void setEtcNum(String etcNum) {
        this.etcNum = etcNum == null ? null : etcNum.trim();
    }

    public String getSuccTime() {
        return succTime;
    }

    public void setSuccTime(String succTime) {
        this.succTime = succTime;
    }

    public String getFailTime() {
        return failTime;
    }

    public void setFailTime(String failTime) {
        this.failTime = failTime;
    }

    public Integer getRecStatus() {
        return recStatus;
    }

    public void setRecStatus(Integer recStatus) {
        this.recStatus = recStatus;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getFailReason() {
        return failReason;
    }

    public void setFailReason(String failReason) {
        this.failReason = failReason == null ? null : failReason.trim();
    }

    public String getValidateCode() {
        return validateCode;
    }

    public void setValidateCode(String validateCode) {
        this.validateCode = validateCode;
    }

    public Integer getServiceOperation() {
        return serviceOperation;
    }

    public void setServiceOperation(Integer serviceOperation) {
        this.serviceOperation = serviceOperation;
    }

    public Integer getInterType() {
        return interType;
    }

    public void setInterType(Integer interType) {
        this.interType = interType;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }


    public String[] getCarNumArr() {
        return carNumArr;
    }

    public void setCarNumArr(String[] carNumArr) {
        this.carNumArr = carNumArr;
    }

    @Override
    public String toString() {
        return "CustomerCarRec{" +
                "customerName='" + customerName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", companyNum='" + companyNum + '\'' +
                ", businessType='" + businessType + '\'' +
                ", carNum='" + carNum + '\'' +
                ", carColor='" + carColor + '\'' +
                ", serviceOperation=" + serviceOperation +
                ", custPhone='" + custPhone + '\'' +
                ", etcNum='" + etcNum + '\'' +
                ", succTime='" + succTime + '\'' +
                ", failTime='" + failTime + '\'' +
                ", recStatus=" + recStatus +
                ", interType=" + interType +
                ", failReason='" + failReason + '\'' +
                ", validateCode='" + validateCode + '\'' +
                '}';
    }
}